ChiliProject - Bug # 458: rmagick specified in the Gemfile doesn't build in Ubuntu 11.04

Status: Closed Priority: Normal
Author: David Kowis Category: Libraries
Created: 2011-06-09 Assignee:

Updated: 2011-10-26 Due date:

Remote issue URL:

Affected version: unstable

Description: rmagick 1.15.17 will not build in ruby 1.9.2
rmagick 2.13.1 builds just fine in ruby 1.9.2 and 1.8.7
Relevant aptitude information regarding what version of imagemagick stuff | have installed:
$ sudo aptitude show imagemagick
Automatically installed: no
Version: 7:6.6.2.6-1ubuntu4
Depends: libbz2-1.0, libc6 (>= 2.2.5), libfontconfig1 (>= 2.8.0), libfreetypeb (>= 2.2.1), libglib2.0-0 (>= 2.12.0),
libgomp1 (>=
4.2.1), libice6 (>= 1:1.0.0), libjpeg62 (>= 6b1), liblcms1 (>= 1.15-1), liblgr-1-0 (>= 0.1.0), libltdI7 (>=
2.2.6b),
libmagickcore3 (>= 7:6.6.2.6), libmagickwand3 (>= 7:6.6.2.6), libsm®, libtiff4, libx11-6, libxext6, libxt6,
zlib1g (>=
1:1.1.4)
$ sudo aptitude show libmagickwand-dev
Package: libmagickwand-dev
Version: 7:6.6.2.6-1ubuntu4
Depends: libmagickwand3 (= 7:6.6.2.6-1ubuntu4), libmagickcore3-extra (= 7:6.6.2.6-1ubuntu4),
libmagickcore-dev (= 7:6.6.2.6-1ubuntu4)
History

2011-06-09 04:54 pm - David Kowis
This is using the Gemfile off the unstable branch.

2011-06-09 04:55 pm - Holger Just

- Category set to Libraries

- (deleted custom field) set to unstable

2011-06-10 03:58 pm - Eric Davis
| think there was a problem with the newer rmagick on Debian stable. | use @bundle install --without=rmagick@ and have the Debian package

installed. Would be nice to figure out what versions works, | know rmagick 2.x has some better features that I've used in a plugin.

2011-07-20 01:51 am - Philipp Tessenow
by the way: This rmagick version refuses to install on heroku (I just ran into that). See "that stackoverflow

question":http://stackoverflow.com/questions/6717268/problem-installing-rmagick-gem-on-heroku for a stacktrace.

2011-09-16 02:06 pm - Andrey Mikhaylov
Gemfile should be updated so that a current version of Rmagick v.2 would install.

Rmagick v.2 builds on Ruby 1.9 fine.
2011-10-26 04:58 pm - Felix Schafer

- Target version set to 2.4.0

- Status changed from Open to Closed

commit:al7ae46 changes the default rmagick required by the Gemfile to no version, which currently resolves to rmagick 2. Additionally, there are
instructions for older distros on how to add the version string to the rmagick 1 if needed.
